<?php
/**
 * @copyright (c) Kufer Software GmbH, Oderstraße 7, D-84453 Mühldorf
 */

namespace Kufer\Web\KuferTools\Veranstalter\DozentenInfo\Detailsreiter\Kurse\PdfListen\DruckListen\ShowDruckListen;

class ShowDruckListenUseCase extends \Kufer\Web\KuferTools\Basis\PdfListen\ShowPdfListen\ShowPdfListenUseCase
{
  public function __construct($pRequest)
  {
    parent::__construct($pRequest);
  }

  public static function getToolSectionId()
  {
    return 660;
  }

  public static function getToolId()
  {
    return 55; 
  }

  protected function getIds()
  {
    static $alleKnrs = null;
    if (is_null($alleKnrs)) {
      $user = $this->getUser();
      $filter = new \Kufer\Web\KuferTools\Utils\KursFilter\KursFilter($this->getToolId(), $this->toolSettings);
      $dbwKurseWT = new \DBWorkKurseWT();
      $dbwKurse = $filter->setzeFilterFuerDbwKurse($dbwKurseWT);
      $notShowAbgeschlosseneKurse = (isset($this->toolSettings->notShowAbgeschlosseneKurse) && !empty($this->toolSettings->notShowAbgeschlosseneKurse));
      $alleKnrs = $dbwKurse->getKursNummernbyDozentNR($user->getDnrIdentifier(), $notShowAbgeschlosseneKurse);
    }

    return $alleKnrs;
  }

  protected function getSelectedIds()
  {
    return $this->request->knrAry;
  }

  
  protected function _getPdfDrucklistenObj()
  {
    $userId = $this->getUser()->getIdentifier();

    return new \Kufer\Web\KuferTools\Basis\PdfListen\DruckPdfListen($this->getToolId(), $this->getToolSectionId(), $userId);
  }
}